Subject: bug#28149: 26.0.50; Emacs regularly hangs for multiple seconds in e.g. find-file

From: Alexander Asteroth <[email-masked]>
Date: Tue, 22 Aug 2017 18:34:11 +0200

Hi all,

the source of error seems to be related to the graphics driver. Hangs
are related to these lines in syslog/dmesg:

--------------------
[63129.201509] [drm] stuck on render ring
[63129.201808] [drm] GPU HANG: ecode 9:0:0x84dffff8, in Xorg [8965], reason: Engine(s) hung, action: reset
[63129.203624] drm/i915: Resetting chip after gpu hang
[63131.202095] [drm] RC6 on
-------------------

which seem to be temporarly related to the error. Some Tickets about this
error are already open in freedesktop.org by other users. Let's hope
there will be a workaround.

PS: I don't have a clue why this happens when autocompleting in emacs :-/

-- Alex

Alexander Asteroth writes:

> Eli Zaretskii writes:
>>> I tried and after bisection after bisection, hangs got less but did not
>>> disappear. Then I did one final test with emacs -Q again and actually
>>> managed, after several minutes, a hanging as well, after find-file with
>>> completion in buffers with lots of files in it (/usr/share/... or
>>> similar).
>>>
>>> I come to the conclusion, that it probably is not an emacs problem at
>>> all but rather a hardware or OS problem that manifests only in a singe
>>> threaded application like emacs.
>>
>> Hmm.  This description is not entirely consistent with your original
>> report, which said:
>>
>>> my emacs hangs pretty often anf for 10 secs. ca. when I am prompted for
>>> e.g. a file in find-file, or an interactive function in M-x or a
>>> shell-command in read-shell-command. It seems to happen only, in these
>>> cases, when there is an option to auto-complete.
>
> Not inconsistend but there seems to be a gradual decrease in the
> frequency this happens (depending on the size of my init.el). With emacs
> -Q it happens so rarely, I have to change folder and complete very
> often.
>
>>
>> This doesn't sound like the hangs were while Emacs was actually
>> auto-completing on file names.  Was that just an inaccuracy in the
>> description, and you in fact see the hangs only while Emacs completes
>> on file names, after you type TAB etc.?
>>
>> In any case, 10 sec for completion sounds like a lot to me.
>> Especially since yours looks like an optimized build.  How many files
>> do you have in the directory where completion is so slow?  And what
>> kind of CPU do you have on that system?
>
> I also tried emacs 25.2 with the same result. System is a 1 year old
> Lenovo ThinkPad Yoga 260.
>
> As I said I'm not really sure any more it is emacs. What is particularly
> surprising is the huge difference between read on file descriptor 3 and 
> 4. fd 3 take 0.00002 on average, fd 4 takes 0.4 to 0.9 seconds.
>
> -- Alex

-- 
Viele Grüße,

	Alex

--------------------------------------------------------------------------
Prof. Dr. Alexander Asteroth   		  room A.022.3
Fon:  +49 2241 865 255                    Bonn-Rhein-Sieg University o.a.s.
Fax:  +49 2241 865 8255                   Computer Science Department
mail: [email-masked]         Grantham-Allee 20
Web:  http://www.inf.h-brs.de/asteroth    53757 Sankt Augustin, Germany